> For the complete documentation index, see [llms.txt](https://docs.digit.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digit.org/local-governance/v2.8/platform/configure-digit/configuring-digit-services/property-tax-service/pt-create-property-ui-details/create-application-employee-ui-ux-revamp.md).

# Create Application - Employee UI/UX Revamp

**Objective:** To provide the employees involved in PT workflow, the functionalities to create a property Application in create workflow.

## **Create Application**

A counter employee can use create an application form, to register a citizen’s property.

![](/files/-MgiGaRZSShnNjew9wIb)

## **Technical Implementation**

*The file for create Application form for PT can be found in:-*

<https://github.com/egovernments/digit-ui-internals/blob/main/packages/modules/pt/src/pages/employee/NewApplication/index.js>

*for creating an application employee enters all the details of the form manually, and Documents are uploaded based on the MDMS configuration found in the file:*

<https://github.com/egovernments/egov-mdms-data/blob/DEV/data/pb/PropertyTax/Documents.json>

**MDMS Data**

1. <https://github.com/egovernments/egov-mdms-data/blob/DEV/data/pb/PropertyTax/Floor.json>
2. <https://github.com/egovernments/egov-mdms-data/blob/DEV/data/pb/PropertyTax/OccupancyType.json>
3. <https://github.com/egovernments/egov-mdms-data/blob/DEV/data/pb/PropertyTax/OwnerShipCategory.json>
4. <https://github.com/egovernments/egov-mdms-data/blob/DEV/data/pb/PropertyTax/OwnerType.json>
5. <https://github.com/egovernments/egov-mdms-data/blob/DEV/data/pb/PropertyTax/PropertyType.json>
6. <https://github.com/egovernments/egov-mdms-data/blob/DEV/data/pb/PropertyTax/UsageCategory.json>
7. <https://github.com/egovernments/egov-mdms-data/blob/DEV/data/pb/PropertyTax/SubOwnerShipCategory.json>

*The MDMS data for documents is similar to that found in :*

{% file src="/files/-MgiGaRbbpYX70HYLc1S" %}
Property Tax MDMS Configuration
{% endfile %}

\*\*with the noted addition of `formDataPath, formArrayAttrPath`, in `filterCondition` and `dropdownFilter` .

`formDataPath` path is the form path in form of an array of keys that requires to be followed to a new UI form to check the entered value. similar to `jsonPath` and `parentJsonpath` in old UI, While the `formArrayAttrPath` replaces the `arrayAttribute`.

*The use of the MDMS data within the component can be found in :*

<https://github.com/egovernments/digit-ui-internals/blob/main/packages/modules/pt/src/pageComponents/SelectDocuments.js>

After adding all the valid documents and form values in the form, the user is allowed to submit the form

*which calls the property create API:*`1property-services/property/_create`

**Acknowledgement Screen**

If the Property creation is successful. then the employee is directed to this screen that shows Acknowledgement Id and the option to download a hardcopy of the acknowledgement containing property details.

![](/files/-MiLWCUFgt__X-PTRAX4)

## **Role Mapping**

|                                      |           |               |
| ------------------------------------ | --------- | ------------- |
| **Url**                              | **ROLE**  | **Action ID** |
| `property-services/property/_create` | `PT-CEMP` | `1895`        |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digit.org/local-governance/v2.8/platform/configure-digit/configuring-digit-services/property-tax-service/pt-create-property-ui-details/create-application-employee-ui-ux-revamp.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
